# CONTROLE POUR L'EXPORT DES FIGURES EN LATEX (0 ou 1)
TRAC = 0


# DEFINITION DES STYLES DE LIGNES
set style line 1 lc rgb "black" lw 2 lt 1
set style line 2 lc rgb "blue" lw 2 lt 1 pt 4
set style line 3 lc rgb "cyan" lw 2 lt 1
set style line 4 lc rgb "green" lw 2 lt 1
set style line 5 lc rgb "orange" lw 2 lt 1
set style line 6 lc rgb "red" lw 2 lt 1 pt 6
set style line 7 lc rgb "purple" lw 2 lt 1
set style line 8 lc rgb "violet" lw 2 lt 1
set style line 11 lc rgb "black" lw 3 lt 0
set style line 22 lc rgb "blue" lw 3 lt 0
set style line 66 lc rgb "red" lw 3 lt 0





# CAS TEST 1
set key right top
set xlabel "Position sur LBAS (m)"
set ylabel "\\rotatebox{90}{Temp\\'erature (\\degres C)}"
set yrange [0:1600]
plot "CT1_LB.dat" u 1:2 w l ls 1 title "$t=0$",\
     "CT1_LB.dat" u 1:3 w l ls 7 title "$t=1/20$ $T_f$",\
     "CT1_LB.dat" u 1:4 w l ls 8 title "$t=2/20$ $T_f$",\
     "CT1_LB.dat" u 1:5 w l ls 2 title "$t=3/20$ $T_f$",\
     "CT1_LB.dat" u 1:6 w l ls 3 title "$t=4/20$ $T_f$",\
     "CT1_LB.dat" u 1:7 w l ls 4 title "$t=5/20$ $T_f$",\
     "CT1_LB.dat" u 1:8 w l ls 5 title "$t=9/20$ $T_f$",\
     "CT1_LB.dat" u 1:9 w l ls 6 title "$t=T_f$"
pause -1 "Press ENTER"
if (TRAC!=0) set term pslatex color dashed
if (TRAC!=0) set output "CT1_T_vs_LBAS.tex"
if (TRAC!=0) replot
if (TRAC!=0) set term x11



# CAS TEST 2
set key right top
set xlabel "Temps (10$^5$ s)"
set ylabel "\\rotatebox{90}{Jeu (cm)}"
set yrange [-0.2:1]
plot "CT2_PERSO1.dat"    u ($1*1.E-5):($2*1.E2) w l ls 1  title "PERSO1",\
     "CT2_REAC_MECA.dat" u ($1*1.E-5):($2*1.E2) w l ls 11 title "REEV\\_MEC"
pause -1 "Press ENTER"
if (TRAC!=0) set term pslatex color dashed
if (TRAC!=0) set output "CT2_Jeu_vs_temps_1.tex"
if (TRAC!=0) replot
if (TRAC!=0) set term x11

plot "CT2_CONV.dat" u ($1*1.E-5):($2*1.E2) w l ls 1 notitle
pause -1 "Press ENTER"
if (TRAC!=0) set term pslatex color dashed
if (TRAC!=0) set output "CT2_Jeu_vs_temps_2.tex"
if (TRAC!=0) replot
if (TRAC!=0) set term x11

set ylabel "\\rotatebox{90}{Temp\\'erature (K)}"
set yrange [0:600]
set key left Left reverse
plot "CT2_PERSO1.dat"    u ($1*1.E-5):3 w l ls 6  title "Point P2",\
     "CT2_PERSO1.dat"    u ($1*1.E-5):4 w l ls 2  title "Point P3",\
     "CT2_REAC_MECA.dat" u ($1*1.E-5):3 w l ls 66 notitle,\
     "CT2_REAC_MECA.dat" u ($1*1.E-5):4 w l ls 22 notitle,\
     -1 w l ls 1 title "PERSO1",\
     -1 w l ls 11 title "REEV\\_MEC"
pause -1 "Press ENTER"
if (TRAC!=0) set term pslatex color dashed
if (TRAC!=0) set output "CT2_T_vs_temps_1.tex"
if (TRAC!=0) replot
if (TRAC!=0) set term x11

plot "CT2_CONV.dat" u ($1*1.E-5):3 w l ls 6 title "Point P2",\
     "CT2_CONV.dat" u ($1*1.E-5):4 w l ls 2 title "Point P3"
pause -1 "Press ENTER"
if (TRAC!=0) set term pslatex color dashed
if (TRAC!=0) set output "CT2_T_vs_temps_2.tex"
if (TRAC!=0) replot
if (TRAC!=0) set term x11



# CAS TEST 3
set key right top
set yrange [0:40]
set xlabel "Flche (mm)"
set ylabel "\\rotatebox{90}{Force (kN)}"

plot "CT3_DP2.dat" u ($1*1.E3):($2/1.E3) w lp ls 2 title "Approche classique",\
     "CT3_DP2_PERSO1.dat" u ($1*1.E3):($2/1.E3) w lp ls 6 title "PERSO1"
pause -1 "Press ENTER"
if (TRAC!=0) set term pslatex color dashed
if (TRAC!=0) set output "CT3_FvsU.tex"
if (TRAC!=0) replot
if (TRAC!=0) set term x11



quit
